Bug 820619 - missing menu icons
Summary: missing menu icons
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.7.0-openjdk
Version: 17
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: jiri vanek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-10 14:01 UTC by Edward Sheldrake
Modified: 2013-05-09 09:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-09 09:27:59 UTC


Attachments (Terms of Use)
Fix icon names in the desktop files (2.95 KB, patch)
2012-06-04 20:11 UTC, Omair Majid
no flags Details | Diff

Description Edward Sheldrake 2012-05-10 14:01:05 UTC
Description of problem:
There's no icon for the "OpenJDK Monitoring & Management Console" and "OpenJDK Policy Tool" in the menu.

Version-Release number of selected component (if applicable):
java-1.7.0-openjdk-devel-1.7.0.3-2.1.fc17.6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Check menu
2.
3.
  
Actual results:
Icon missing

Expected results:
Icon present - they had icons with java-1.6.0-openjdk in F16.

Additional info:
The .desktop files specify "java" for the icon, but the icon files are named java-1.7.0.png.

Comment 1 Deepak Bhole 2012-05-10 17:51:23 UTC
Assigning to Omair, he has looked into the desktop and icon stuff for javaws before.

Comment 2 Omair Majid 2012-06-04 20:11:30 UTC
Created attachment 589269 [details]
Fix icon names in the desktop files

Comment 3 gatlibs 2013-01-26 05:41:07 UTC
I have installed F18 & am still seeing the generic gears for icons for the two programs.

java-1.7.0-openjdk-policytool.desktop & java-1.7.0-openjdk-jconsole.desktop both have "Icon=java".

Comment 4 GuiXin 2013-04-25 01:01:32 UTC
in f18 is still the wrong icon
it's should change Icon=java-1.7.0 every update

Comment 5 jiri vanek 2013-04-25 17:44:35 UTC
This is packaging issue. Taking it.

Comment 7 jiri vanek 2013-05-09 09:27:59 UTC
This patch was added to rpms for f18-20 and built. However update will be proposed after all testing is done. But you can elaborate wit raw packages:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5340338
http://pkgs.fedoraproject.org/cgit/java-1.7.0-openjdk.git/commit/?h=f18&id=4b2ee957df6866ce6c919448ce9d0e19ed21d1b2


Note You need to log in before you can comment on or make changes to this bug.